/*
     Copyright (C) 2006  Georges Da Costa

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along
 with this program; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifdef TIMESTAMP
#include <sys/time.h>
#include  <stdio.h>
  struct timeval  tv;
  struct timezone  tz;
  int current_showtime=2;
#define SHOWTIME(txt) gettimeofday(& tv , & tz ); fprintf(stderr," %3d: %ld.%6ld : %s\n",current_showtime++, tv.tv_sec, tv.tv_usec, txt);
#else
#define SHOWTIME(txt)
#endif

#ifdef DEBUG
#define DEBUGIN(place) fprintf(stderr,"\\ "); fprintf(stderr,place); fprintf(stderr,"\n");
#define DEBUGOUT(place) fprintf(stderr,"/ "); fprintf(stderr,place); fprintf(stderr,"\n");
#else
#define DEBUGIN(place)
#define DEBUGOUT(place)
#endif

#ifdef DEBUG
#define DEBUGIN2(place, msg) fprintf(stderr,"\\ "); fprintf(stderr,place,msg); fprintf(stderr,"\n");
#define DEBUGOUT2(place, msg) fprintf(stderr,"/ "); fprintf(stderr,place,msg); fprintf(stderr,"\n");
#else
#define DEBUGIN2(place, msg)
#define DEBUGOUT2(place, msg)
#endif

#define TRUE (1==1)
#define FALSE (1==0)
